for theta1 in np.linspace(min1, max1, 50):
    for theta2 in np.linspace(min2, max2, 50):
        for theta3 in np.linspace(min3, max3, 50):
            xyz = forward_kinematics([theta1, theta2, theta3])
            # collect (x,y,z)
